# initshutdownscript.create

Create an initshutdown script task.

type indicates if a command or script should be executed at when.

There are three choices for when:

1. PREINIT - This is early in the boot process before all the services have started 2) POSTINIT - This is late in the boot process when most of the services have started 3) SHUTDOWN - This is on shutdown

timeout is an integer value which indicates time in seconds which the system should wait for the execution of script/command. It should be noted that a hard limit for a timeout is configured by the base OS, so when a script/command is set to execute on SHUTDOWN, the hard limit configured by the base OS is changed adding the timeout specified by script/command so it can be ensured that it executes as desired and is not interrupted by the base OS’s limit.

Type: object

##

Type: array
No Additional Items

#### Tuple Validation

##### Parameter 1: data

#### data

Type: object
No Additional Properties

##

#### Type

Type: enum (of string)

##### Must be one of:

- "COMMAND"
- "SCRIPT"

##

#### Command

Default: ""

Must be given if `type="COMMAND"`.

## Any of

Type: string
Type: null

##

#### Script

Default: ""

Must be given if `type="SCRIPT"`.

## Any of

Type: string
Type: null

##

#### When

Type: enum (of string)

"PREINIT": Early in the boot process before all services have started.
"POSTINIT": Late in the boot process when most services have started.
"SHUTDOWN": On shutdown.

##### Must be one of:

- "PREINIT"
- "POSTINIT"
- "SHUTDOWN"

##

#### Enabled

Type: boolean Default: true

##

#### Timeout

Type: integer Default: 10

An integer time in seconds that the system should wait for the execution of the script/command.

A hard limit for a timeout is configured by the base OS, so when a script/command is set to execute on SHUTDOWN,
the hard limit configured by the base OS is changed adding the timeout specified by script/command so it can be
ensured that it executes as desired and is not interrupted by the base OS's limit.

##

#### Comment

Type: string Default: ""

Must be at most `255` characters long

##

#### InitShutdownScriptEntry

Type: object
No Additional Properties

##

#### Type

Type: enum (of string)

##### Must be one of:

- "COMMAND"
- "SCRIPT"

##

#### Command

Default: ""

Must be given if `type="COMMAND"`.

## Any of

Type: string
Type: null

##

#### Script

Default: ""

Must be given if `type="SCRIPT"`.

## Any of

Type: string
Type: null

##

#### When

Type: enum (of string)

"PREINIT": Early in the boot process before all services have started.
"POSTINIT": Late in the boot process when most services have started.
"SHUTDOWN": On shutdown.

##### Must be one of:

- "PREINIT"
- "POSTINIT"
- "SHUTDOWN"

##

#### Enabled

Type: boolean Default: true

##

#### Timeout

Type: integer Default: 10

An integer time in seconds that the system should wait for the execution of the script/command.

A hard limit for a timeout is configured by the base OS, so when a script/command is set to execute on SHUTDOWN,
the hard limit configured by the base OS is changed adding the timeout specified by script/command so it can be
ensured that it executes as desired and is not interrupted by the base OS's limit.

##

#### Comment

Type: string Default: ""

Must be at most `255` characters long

##

#### Id

Type: integer

Required roles: SYSTEM_CRON_WRITE